{% load static %}
<!DOCTYPE html>
<html>

  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    
    <title>Story 5 - Django (Models)</title>

    <!-- Bootstrap core CSS -->
    <link href="{% static 'css\bootstrap.min.css' %}" rel="stylesheet">

    <!-- Custom fonts for this template -->
    <link href="https://fonts.googleapis.com/css?family=Saira+Extra+Condensed:500,700" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Muli:400,400i,800,800i" rel="stylesheet">
    <link href="{% static 'css/all.min.css' %}" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="{% static 'css/resume.min.css' %}" rel="stylesheet">

  </head>

  <style>
    body {
        background: url("{% static 'car.jpg' %}") no-repeat center center fixed;
        -webkit-background-size: cover;
        -moz-background-size: cover;
        -o-background-size: cover;
        background-size: cover;
        max-width: 100%;
        overflow-x: hidden;
    }
    .bluebox {
        border-radius: 25px;
		width: 200px;
		background: rgba(0, 27, 53, 0.6);
		padding: 15px;
		text-align: center;
		margin: auto;
        margin-top: 1.5%;
    }
    .cyanbox {
        position: relative;
        bottom: 20px;
        right: 30px;
        border-radius: 25px;
        width: 755px;
        height: 170px;
		background: rgba(97, 223, 255, 0.5);
		padding: 15px;
		text-align: left;
		margin: auto;
        margin-top: 1.5%;
    }
    .whitebox {
        border-radius: 25px;
		width: 500px;
        height: 60px;
		background: rgba(255, 255, 255, 0.5);
		padding: 15px;
		text-align: left;
		margin: auto;
        margin-top: 1.5%;
    }
    .positiontext{
        position: relative; 
        left:950px;
    }
    .darkbluebox {
        border-radius: 25px;
		width: 600px;
		background: rgba(0, 17, 49, 0.6);
		padding: 25px;
		text-align: center;
		margin: auto;
		margin-top: 7.5%;
		color: white;
    }
    .textentry {
        positions  relative;
        top:       50px;  
        left:      100px; 
        height:    50px;  
    }
    .lightbluebox {
        border-radius: 25px;
		width: 500px;
        height: 445px;
		background: rgba(90, 236, 255, 0.5);
		padding: 15px;
		text-align: left;
		margin: auto;
        margin-top: 1.5%;
    }
    .bigwhitebox {
        border-radius: 25px;
		width: 1100px;
        height: 445px;
		background: rgba(221, 244, 255, 0.5);
		padding: 15px;
		text-align: left;
		margin: auto;
    }

  </style>

  <body id="page-top">
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary fixed-top" id="sideNav">
      <a class="navbar-brand js-scroll-trigger" href="#page-top">
        <span class="d-none d-lg-block">
          <img class="img-fluid img-profile rounded-circle mx-auto mb-2" src="{% static 'profile.jpg' %}" alt="">
        </span>
      </a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span> 
      </button>
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav">
          <li class="nav-item">
            <div class="bluebox">
              <a class="nav-link js-scroll-trigger" href="#about"><font color="white">ABOUT</font></a>
              <a class="nav-link js-scroll-trigger" href="#experience"><font color="white">EXPERIENCE</font></a>
              <a class="nav-link js-scroll-trigger" href="#register"><font color="white">REGISTER</font></a>
              <a class="nav-link js-scroll-trigger" href="#schedule"><font color="white">SCHEDULE</font></a>
            </div>
          </li>
        </ul>
      </div>
    </nav>

    <div class="container-fluid p-0">

        <section class="resume-section p-3 p-lg-5 d-flex d-column" id="about">
          <div class="positiontext">
              <h2>profile</h2>  
          </div>
          <div class="my-auto">
            <h1 class="mb-0">Patricia
              <span class="text-primary">Anugrah</span>
               Setiani
            </h1>
            <div class="subheading mb-5">Menjalankan hidup dengan selalu mencari inspirasi
            </div>
            <div class="cyanbox">
              <p class="lead mb-5"><b>Lorem ipsum dolor sit amet, veri verear eloquentiam eam at, has meis labitur albucius at. Ei habeo everti option duo, ornatus commune lobortis ius ut, utroque signiferumque ei nec. Ius ne altera mediocrem intellegebat. Diceret sanctus scriptorem ad ius. Mei ut illum veniam, ei nulla dolor corpora pro, sale dissentiet philosophia ex his. Eu mea tacimates repudiare, eos quod augue veniam te.</b></p>
            </div>
            <!-- 
            <div class="social-icons">
              <a href="https://www.linkedin.com/">
                <i class="fab fa-linkedin-in"></i>
              </a>
              <a href="https://www.github.com/">
                <i class="fab fa-github"></i>
              </a>
              <a href="https://www.twitter.com/">
                <i class="fab fa-twitter"></i>
              </a>
              <a href="https://www.facebook.com/">
                <i class="fab fa-facebook-f"></i>
              </a>
            </div>-->
          </div>
        </section>

        <section class="resume-section p-3 p-lg-5 d-flex flex-column" id="experience">
          <div class="positiontext">
            <h2>experience</h2>  
          </div>
          <div class="my-auto">    
              <div class="resume-item d-flex flex-column flex-md-row mb-5">
                <div class="resume-content mr-auto">
                  <h3 class="mb-0">Ristek Fasilkom UI 2018</h3>
                  <div class="subheading mb-3">Junior Member of Data Science SIG</div>
                  <div class="whitebox"><p><b>* 2nd place in Data Science Internal Competition.</b></p></div>
                </div>
                <div class="resume-item d-flex flex-column flex-md-row mb-5">
                    <div class="resume-content mr-auto">
                      <h3 class="mb-0">PMB Fasilkom UI 2018</h3>
                      <div class="subheading mb-3">Staff Member of Academic Division</div>
                      <div class="whitebox"><p><b>* Correct 15 students' tasks.</b></p></div>
                    </div>
              </div>
          </section>

          <hr class="m-0">

      <section class="resume-section p-3 p-lg-5 d-flex flex-column" id="register">
            <div class="positiontext">
                    <h2>register</h2>  
            </div>
            <div class="lightbluebox">
            <form id="form" method="POST" action="{% url 'webprofile' %}">
                {% csrf_token %}
                {{JadwalForm.as_p}}
                <br>
                <button type="submit" class="btn btn-default">SUBMIT</button>
            </form>
            </div>
      </section>

      <section class="resume-section p-3 p-lg-5 d-flex flex-column" id="schedule">
            <div class="positiontext">
                    <h2>schedule</h2>  
            </div>
            <div class="bigwhitebox">
            <table class="table">
                    <thead>
                        <th>Nama Kegiatan</th>
                        <th>Tanggal dan Jam</th>
                        <th>Tempat</th>
                        <th>Kategori</th>
                    </thead>
                    <tbody>
                        <!-- TODO, Kalau nama/email anon maka tr classnya jadi warning -->
                        {% for i in message %}
                        {% if i.nama_kegiatan == 'Anonymous' %}
                        <tr class="warning"> {% else %} <tr class="success">
                            {% csrf_token %}
                            {% endif %}
                            <td> {{i.nama_kegiatan}} </td>
                            <td> {{i.tanggal}} </td>
                            <td> {{i.tempat}} </td>
                            <td> {{i.kategori}} </td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
      </section>

    </div>
    </body>
  
  </html>
  
